unit TrayUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Traybar, ExtCtrls, Menus, shsTray;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    PopupMenu1: TPopupMenu;
    Remove1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Traybar1: TTraybar;
    Show1: TMenuItem;
    About2: TMenuItem;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    CheckBox1: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Show1Click(Sender: TObject);
    procedure Remove1Click(Sender: TObject);
    procedure About2Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure Traybar1click(Sender: TObject);
    procedure Traybar1DblClick(Sender: TObject);
    procedure Traybar1RightClick(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
   Traybar1.Hint := Edit1.Text;
   Traybar1.Add;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   Traybar1.Hint := Edit1.Text;
   Traybar1.Modify;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
   Traybar1.Delete;
end;

procedure TForm1.Show1Click(Sender: TObject);
begin
   Show;
end;

procedure TForm1.Remove1Click(Sender: TObject);
begin
   Hide;
end;

procedure TForm1.About2Click(Sender: TObject);
begin
   ShowMessage('Traybar Component'+Chr(13)+'WorldWare 1997');
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
   Close;
end;

procedure TForm1.Traybar1click(Sender: TObject);
begin
   Label3.Caption := 'OnClick';
end;

procedure TForm1.Traybar1DblClick(Sender: TObject);
begin
   Label3.Caption := 'OnDblClick';
end;

procedure TForm1.Traybar1RightClick(Sender: TObject);
begin
   Label3.Caption := 'OnRightClick';
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
   If CheckBox1.Checked then
      begin
         Traybar1.PopupMenu := PopupMenu1;
         Traybar1.OnRightClick := Nil
      end
   else
      begin
         Traybar1.PopupMenu := Nil;
         Traybar1.OnRightClick := Traybar1RightClick
      end
end;

end.
